RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1792270 - [RFE] Display "User Services" tab in Services panel
Summary: [RFE] Display "User Services" tab in Services panel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit
Version: 8.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 8.6
Assignee: Katerina Koukiou
QA Contact: Jan Ščotka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 12:50 UTC by Renaud Métrich
Modified: 2022-05-10 16:30 UTC (History)
6 users (show)

Fixed In Version: 257
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-10 15:18:37 UTC
Type: Feature Request
Target Upstream Version: 257
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-93821 0 None None None 2021-08-17 11:27:59 UTC
Red Hat Issue Tracker RHELPLAN-95022 0 None None None 2021-11-03 09:01:12 UTC
Red Hat Product Errata RHSA-2022:2008 0 None None None 2022-05-10 15:18:52 UTC

Description Renaud Métrich 2020-01-17 12:50:20 UTC
Description of problem:

Under the Services panel, there should be a "User Services" tab that shows the systemd user instance running on the system for the user currently logged in (including the root user, "root" also has a systemd user instance).
This would be very convenient for the user to manage his own services.


Version-Release number of selected component (if applicable):

cockpit-ws-196.3-1.el8.x86_64


Additional info:

In a shell, the systemd user instance is available through this command:

$ systemctl --user ...

Comment 1 Matej Marušák 2020-01-19 15:34:21 UTC
Also tracked in upstream https://github.com/cockpit-project/cockpit/issues/13217

Comment 11 Katerina Koukiou 2021-11-09 15:43:37 UTC
Upstream PR https://github.com/cockpit-project/cockpit/pull/16545

Comment 18 errata-xmlrpc 2022-05-10 15:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: cockpit security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:2008


Note You need to log in before you can comment on or make changes to this bug.